<?php
    class Social{
        
        // Tag handler
        function social_handler( $params, $node ){
            if( version_compare( phpversion(), '5.2.0', '<' ) ) { die("ERROR: Tag \"".$node->name."\" requires atleast PHP 5.2.0"); }
            
            if( !defined('SOCIAL_DIR') ){
                define( 'SOCIAL_DIR', K_COUCH_DIR . 'addons/social/' );
            }
            
            // delegate to tweets_ex.php
            require_once( SOCIAL_DIR . "social_ex.php" );
            $obj = new SocialEx( $params, $node );
            $html = $obj->fetch_social();
            
            return $html;
        }
    }
    
    // Register tag
    $FUNCS->register_tag( 'social_stats', array('Social', 'social_handler'), 1, 1 );
